/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.rational.connector.buildforge.internal.ui;

/**
 * Ids for context sensitive help.
 * 
 * @since 0.8
 */
public interface IHelpContextIds {

	/**
	 * Common prefix used by all help ids from this plugin
	 */
	public static final String PREFIX = "com.ibm.team.build.ui"; //$NON-NLS-1$

	/* BUILD DEFINITION EDITOR PAGES */

	/**
	 * Help id for the "Build Forge" page (tab) of the Build Definition Editor.
	 */
	public static final String HELP_CONTEXT_BUILD_DEFINITION_EDITOR_BUILD_FORGE = PREFIX
			+ ".editor_builddefinitionbuildforge"; //$NON-NLS-1$

	/* BUILD ENGINE EDITOR PAGES */

	/**
	 * Help id for the "Build Forge" page (tab) of the Build Engine Editor.
	 */
	public static final String HELP_CONTEXT_BUILD_ENGINE_EDITOR_BUILD_FORGE_PAGE = PREFIX
			+ ".editor_buildenginebuildforge"; //$NON-NLS-1$

}
