/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.rational.connector.buildforge.ui;

import org.eclipse.osgi.util.NLS;

/**
 * Build Forge build definition messages.
 * 
 */
public class BuildForgeMessages {
	private static final String BUNDLE_NAME = "com.ibm.rational.connector.buildforge.ui.BuildForgeMessages"; //$NON-NLS-1$

	private BuildForgeMessages() {
		// Intentionally Empty
	}

	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, BuildForgeMessages.class);

		// Instantiate an instance to get around code coverage limitation that
		// it can't currently exclude intentionally private constructors
		new BuildForgeMessages();
	}

	/**
	 * Build Forge engine section title
	 */
	public static String BuildForgeConfigurationEditor_ENGINE_SECTION_TITLE;

	/**
	 * Build Forge engine section description
	 */
	public static String BuildForgeConfigurationEditor_ENGINE_SECTION_DESCRIPTION;

	/**
	 * Build Forge test connection section title
	 */
	public static String BuildForgeConfigurationEditor_TEST_CONNECTION_SECTION_TITLE;

	/**
	 * Build Forge test connection section description
	 */
	public static String BuildForgeConfigurationEditor_TEST_CONNECTION_SECTION_DESCRIPTION;

	/**
	 * Build Forge logs section title
	 */
	public static String BuildForgeConfigurationEditor_LOGS_SECTION_TITLE;

	/**
	 * Build Forge logs section description
	 */
	public static String BuildForgeConfigurationEditor_LOGS_SECTION_DESCRIPTION;

	/**
	 * Build Forge projects section title
	 */
	public static String BuildForgeConfigurationEditor_PROJECTS_SECTION_TITLE;

	/**
	 * Build Forge projects section description
	 */
	public static String BuildForgeConfigurationEditor_PROJECTS_SECTION_DESCRIPTION;

	/**
	 * Build Forge projects description
	 */
	public static String BuildForgeConfigurationEditor_PROJECTS_DESC;

	/**
	 * Build Forge host name label
	 */
	public static String BuildForgeConfigurationEditor_HOST_NAME_LABEL;

	/**
	 * Build Forge host name description
	 */
	public static String BuildForgeConfigurationEditor_HOST_NAME_DESC;

	/**
	 * Build Forge port label
	 */
	public static String BuildForgeConfigurationEditor_PORT_LABEL;

	/**
	 * Build Forge port description
	 */
	public static String BuildForgeConfigurationEditor_PORT_DESC;

	/**
	 * Build Forge userid label
	 */
	public static String BuildForgeConfigurationEditor_USER_ID_LABEL;

	/**
	 * Build Forge userid description
	 */
	public static String BuildForgeConfigurationEditor_USER_ID_DESC;

	/**
	 * Build Forge password label
	 */
	public static String BuildForgeConfigurationEditor_PASSWORD_LABEL;

	/**
	 * Build Forge password description
	 */
	public static String BuildForgeConfigurationEditor_PASSWORD_DESC;

	/**
	 * Build Forge connect securely button text
	 */
	public static String BuildForgeConfigurationEditor_SECURE_CONNECT_BUTTON;

	/**
	 * Build Forge connect securely button description
	 */
	public static String BuildForgeConfigurationEditor_SECURE_CONNECT_BUTTON_DESC;
	
	/**
	 * Build Forge host name required message
	 */
	public static String BuildForgeConfigurationEditor_HOST_NAME_REQUIRED;

	/**
	 * Build Forge port required message
	 */
	public static String BuildForgeConfigurationEditor_PORT_REQUIRED;

	/**
	 * Build Forge userid required message
	 */
	public static String BuildForgeConfigurationEditor_USER_ID_REQUIRED;

	/**
	 * Build Forge password required message
	 */
	public static String BuildForgeConfigurationEditor_PASSWORD_REQUIRED;

	/**
	 * Build Forge port must be a numeric value between 1 and 65535.
	 */
	public static String BuildForgeConfigurationEditor_PORT_MUST_BE_NUMBER;

	/**
	 * Build Forge test connection button for the engine configuration.
	 */
	public static String BuildForgeConfigurationEditor_TEST_CONNECTION_BUTTON;

	/**
	 * Build Forge clear test button for the engine configuration.
	 */
	public static String BuildForgeConfigurationEditor_CLEAR_TEST_BUTTON;
	
	/**
	 * Text for testing message.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_TESTING;
	
	/**
	 * Text for result.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_RESULT;
	
	/**
	 * Text for successful result.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_SUCCESS;
	
	/**
	 * Text for ping result.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_PING;
	
	/**
	 * Text for login.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_LOGIN;
	
	/**
	 * Text for user name.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_NAME;
	
	/**
	 * Text for exception.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_IO_EXCEPTION;

	/**
	 * Text for exception.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_SERVICE_EXCEPTION;

	/**
	 * Text for SSL files not found exception.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_SSL_SERVICE_EXCEPTION;

	
	/**
	 * Text for exception.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST_TEXT_GENERIC_EXCEPTION;
	
	/**
	 * Build Forge test connection job description.
	 */
	public static String BuildForgeConfigurationEditor_CONNECTION_TEST;

	/**
	 * Error printed when no build engine is associated with the Build Forge build definition.
	 */
	public static String BuildForgeConfigurationEditor_ERROR_MISSING_BUILD_ENGINE;

	/**
	 * Title of dialog when no valid build engine is selected.
	 */
	public static String BuildForgeConfigurationEditor_ERROR_NO_BUILD_ENGINE_TITLE;

	/**
	 * Build Forge project required message
	 */
	public static String BuildForgeConfigurationEditor_PROJECT_REQUIRED;

	/**
	 * Build Forge project default filter text
	 */
	public static String BuildForgeConfigurationEditor_FILTER_TEXT;
	
	/**
	 * Build Forge get projects button
	 */
	public static String BuildForgeConfigurationEditor_GET_PROJECTS_BUTTON;

	/**
	 * Build Forge get projects button description
	 */
	public static String BuildForgeConfigurationEditor_GET_PROJECTS_BUTTON_DESC;

	/**
	 * Error getting projects from Build Forge.
	 */
	public static String BuildForgeConfigurationEditor_ERROR_GETTING_PROJECTS_FROM_BUILDFORGE;

	/**
	 * Build Forge synchronize properties button
	 */
	public static String BuildForgeConfigurationEditor_SYNC_PROPERTIES_BUTTON;
	
	/**
	 * Build Forge synchronize properties description
	 */
	public static String BuildForgeConfigurationEditor_SYNC_PROPERTIES_BUTTON_DESC;
	
	/**
	 * Error synchronizing properties with Build Forge.
	 */
	public static String BuildForgeConfigurationEditor_ERROR_SYNCHRONIZING_PROPERTIES_WITH_BUILDFORGE;

	/**
	 * Build Forge selection to include all logs radio button...
	 */
	public static String BuildForgeConfigurationEditor_INCLUDE_ALL_LOGS;

	/**
	 * Build Forge selection to include all logs from (x first, x last, and/or
	 * not passed or skipped) radio button
	 */
	public static String BuildForgeConfigurationEditor_INCLUDE_ALL_LOGS_FROM;

	/**
	 * Build Forge selection to include all logs not passed or skipped
	 */
	public static String BuildForgeConfigurationEditor_INCLUDE_ALL_LOGS_NOT_PASSED_OR_SKIPPED;

	/**
	 * Build Forge selection to include custom BOM data
	 */
	public static String BuildForgeConfigurationEditor_INCLUDE_CUSTOM_BOM;

	/**
	 * BuildForge number of first logs to include label.
	 */
	public static String BuildForgeConfigurationEditor_NUM_FIRST_LOGS_TO_INCLUDE_LABEL;

	/**
	 * BuildForge number of first logs to include description.
	 */
	public static String BuildForgeConfigurationEditor_NUM_FIRST_LOGS_TO_INCLUDE_DESC;

	/**
	 * BuildForge number of last logs to include label.
	 */
	public static String BuildForgeConfigurationEditor_NUM_LAST_LOGS_TO_INCLUDE_LABEL;

	/**
	 * BuildForge number of last logs to include description.
	 */
	public static String BuildForgeConfigurationEditor_NUM_LAST_LOGS_TO_INCLUDE_DESC;

	/**
	 * Error decoding password from repository.
	 */
	public static String BuildForgeConfigurationEditor_ERROR_DECODING_PASSWORD;

	/**
	 * Error getting properties from Build Forge project environment.
	 */
	public static String BuildForgeConfigurationEditor_ERROR_GETTING_BUILDFORGE_ENVIRONMENT;

	/**
	 * Warning that test connection failed.
	 */	
	public static String BuildForgeConfigurationEditor_TEST_CONNECTION_WARNING;
	
	/**
	 * Error engine does not exist.
	 */
	public static String BuildForgeConfigurationEditor_ENGINE_NONEXISTENT;
	
	/**
	 * Error engine mismatch.
	 */
	public static String BuildForgeConfigurationEditor_ENGINE_MISMATCH;
	
	/**
	 * Build Forge custom logs to include.
	 */	
	public static String BuildForgeConfigurationEditor_CUSTOM_LOGS_TO_INCLUDE_LABEL;
	
	/**
	 * Build Forge error for invalid custom log range given
	 */	
	public static String BuildForgeConfigurationEditor_ERROR_CUSTOM_LOG_RANGE;
	
	/**
	 * Build Forge tooltip for using the custom logs field
	 */	
	public static String BuildForgeConfigurationEditor_CUSTOM_LOGS_TOOLTIP;

}
