/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.rational.connector.hudson.ui;

import org.eclipse.osgi.util.NLS;

/**
 * Messages for the Hudson/Jenkins build definition and engine editors.
 */
public class Messages extends NLS {
	
	private static final String BUNDLE_NAME = "com.ibm.rational.connector.hudson.ui.messages"; //$NON-NLS-1$

	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}
	
	
	/**
	 * Hudson "Get Jobs" button description
	 */
	public static String HudsonConfigurationEditor_DESC_GET_JOBS;
	
	/**
	 * Hudson description of the job UI section
	 */
	public static String HudsonConfigurationEditor_DESC_JOB_SECTION;

	public static String HudsonConfigurationEditor_DIFFERENT_JOB_CONFIG;
	
	public static String HudsonConfigurationEditor_ERROR_ADDING_PARAMETER;

	/**
	 * Hudson default filter text
	 */
	public static String HudsonConfigurationEditor_FILTER_TEXT;
	
	/**
	 * Error description for when no engine is assigned to the definition
	 */
	public static String HudsonConfigurationEditor_ERROR_DIALOG_NO_ENGINE_FOUND_DESC;
	
	/**
	 * Error title for when no engine is assigned to the definition  
	 */
	public static String HudsonConfigurationEditor_ERROR_DIALOG_NO_ENGINE_FOUND_TITLE;
	
	/**
	 * Error message for when there is an issue retrieving jobs 
	 */
	public static String HudsonConfigurationEditor_ERROR_RETRIEVING_JOBS;

	/**
	 * Error message when more than one job selected
	 */
	public static String HudsonConfigurationEditor_ERROR_SELECT_ONLY_ONE_JOB;
	
	/**
	 * Description of the job section label.
	 */
	public static String HudsonConfigurationEditor_LABEL_DESCRIPTION;
	
	/**
	 * Label for the "Get Jobs" button
	 */
	public static String HudsonConfigurationEditor_LABEL_GET_JOBS;
	
	/**
	 * Label for the job section
	 */
	public static String HudsonConfigurationEditor_LABEL_JOB_SECTION;
	
	/**
	 * Error message title for when no project has been selected 
	 */
	public static String HudsonConfigurationEditor_ERROR_DIALOG_NO_PROJECT_SELECTED_TITLE;
	
	/**
	 * Error message for when no jobs are selected 
	 */
	public static String HudsonConfigurationEditor_ERROR_DIALOG_NO_PROJECT_SELECTED_DESC;

	public static String HudsonConfigurationEditor_JOB_CHANGE_ERROR_TITLE;

	public static String HudsonConfigurationEditor_JOB_CHANGE_TITLE;

	public static String HudsonConfigurationEditor_PARAMETER_ADDED;
	
	/**
	 * Description of the authorize required section 
	 */
	public static String HudsonEditor_DESC_AUTH_REQUIRED;
	
	/**
	 * Description of the clear results button
	 */
	public static String HudsonEditor_DESC_CLEAR_RESULTS;
	
	/**
	 * Description of the hostname textbox
	 */
	public static String HudsonEditor_DESC_URL;
	
	/**
	 * Description of the password textbox 
	 */
	public static String HudsonEditor_DESC_PASSWORD;
	
	/**
	 * Description of the server info box
	 */
	public static String HudsonEditor_DESC_SERVER_INFO;
	
	/**
	 * Description of the test connection button
	 */
	public static String HudsonEditor_DESC_TEST_CONNECTION;
	
	/**
	 * Description of the user id textbox
	 */
	public static String HudsonEditor_DESC_USER_ID;
	
	/**
	 * Error for when the hostname textbox is empty
	 */
	public static String HudsonEditor_ERROR_URL_REQUIRED;
	
	/**
	 * Error for when the password is bad
	 */
	public static String HudsonEditor_ERROR_PASSWORD;
	
	/**
	 * Error when the password textbox is empty
	 */
	public static String HudsonEditor_ERROR_PASSWORD_REQUIRED;
	
	/**
	 * Error when the password cannot be retrieved
	 */
	public static String HudsonEditor_ERROR_RETRIEVING_PASSWORD;
	
	/**
	 * Label for the authorization required section
	 */
	public static String HudsonEditor_LABEL_AUTH_REQUIRED;
	
	/**
	 * Label for the clear results button
	 */
	public static String HudsonEditor_LABEL_CLEAR_RESULTS;
	
	/**
	 * Label for the hostname textbox
	 */
	public static String HudsonEditor_LABEL_URL;
	
	/**
	 * Label for the password textbox
	 */
	public static String HudsonEditor_LABEL_PASSWORD;
	
	/**
	 * Label for the server information section
	 */
	public static String HudsonEditor_LABEL_SERVER_INFO;
	
	/**
	 * Label for the test connection section
	 */
	public static String HudsonEditor_LABEL_TEST_CONNECTION_SECTION_TITLE;
	
	/**
	 * Label for the test connection button
	 */
	public static String HudsonEditor_LABEL_TEST_CONNECTION_BUTTON;
	
	/**
	 * Label for the user id textbox
	 */
	public static String HudsonEditor_LABEL_USER_ID;
	
	/**
	 * Message for the connection failure on the test connection
	 */
	public static String HudsonEditor_MESSAGE_CONNECTION_FAILED;
	
	/**
	 * Message for the connection success on the test connection
	 */
	public static String HudsonEditor_MESSAGE_CONNECTION_SUCCESS;
	
	/**
	 * Message for the start connection 
	 */
	public static String HudsonEditor_MESSAGE_START_CONNECTION;
	
	/**
	 * Message for the test requested
	 */
	public static String HudsonEditor_MESSAGE_TEST_REQUESTED;
	
	/**
	 * Message for server not found
	 */
	public static String HudsonEditor_MESSSAGE_SERVER_NOT_FOUND;	

	/**
	 * Error message when the encoding fails
	 */
	public static String HudsonEditor_ERROR_ENCODING_PASSWORD;

	/**
	 * Error when the user id textbox is empty
	 */
	public static String HudsonEditor_ERROR_USERID_REQUIRED;
	
	/**
	 * Label for the validate hostname button.
	 */
	public static String HudsonEditor_LABEL_VALIDATE_HOSTNAME;
	
	/**
	 * Description for the validate hostname button.
	 */
	public static String HudsonEditor_DESC_HOSTNAME_VALIDATE;

	public static String HudsonEngineConfigurationEditor_0;

	public static String HudsonEngineConfigurationEditor_1;
	
	public static String HudsonEngineConfigurationEditor_2;
	
	public static String HudsonEngineConfigurationEditor_3;
	
}
