/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui;

import org.eclipse.jface.action.IAction;

import com.ibm.team.build.common.model.ICompileProblem;

/**
 * Opens the file indicated by the ICompileSource object in an editor.
 */
public class OpenCompileProblemActionDelegate extends OpenCompileSourceActionDelegate {

    public void run(IAction action) {
        if (getSelection().getFirstElement() instanceof ICompileProblem) {
            ICompileProblem compileProblem = (ICompileProblem) getSelection().getFirstElement();
            openCompileSource(compileProblem.getCompileSource(), compileProblem.getLineNumber(),
                    getActivePart().getSite().getPage());
        }
    }
}