/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui.editors.result.compile;

import com.ibm.team.build.internal.ui.editors.result.IDeferredBuildTreeNode;

/**
 * Interface representing a generic node in the compile results tree.
 */
public interface ICompileTreeNode extends IDeferredBuildTreeNode {

    /**
     * Returns true if this node has any warnings.
     * 
     * @return boolean
     */
    public boolean hasWarnings();

    /**
     * Returns true if this node has any errors.
     * 
     * @return boolean
     */
    public boolean hasErrors();
}
