/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui.editors.result.compile;

import org.eclipse.osgi.util.NLS;

/**
 * Messages for the
 * <code>com.ibm.team.build.internal.ui.editors.result.compile</code> package.
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.java.ui.editors.result.compile.messages"; //$NON-NLS-1$

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new Messages();
    }

    private Messages() {
        // Intentionally empty.
    }

    /**
     * Message for compilation errors or problems.
     */
    public static String CompileSourceNode_PROBLEM_STRING;

    /**
     * Error string for multiple errors.
     */
    public static String CompileContributionProvider_MULTIPLE_ERRORS;

    /**
     * Warning string for multiple warnings.
     */
    public static String CompileContributionProvider_MULTIPLE_WARNINGS;

    /**
     * Message for no compile results.
     */
    public static String CompileContributionProvider_NO_COMPILES;

    /**
     * Message for one error.
     */
    public static String CompileContributionProvider_ONE_ERROR;

    /**
     * Message for one warning.
     */
    public static String CompileContributionProvider_ONE_WARNING;

    /**
     * Summary text.
     */
    public static String CompileContributionProvider_SUMMARY_TEXT;

    /**
     * Summary title.
     */
    public static String CompileContributionProvider_SUMMARY_TITLE;

    /**
     * Page title.
     */
    public static String CompileContributionProvider_PAGE_TITLE;

    /**
     * Default package name.
     */
    public static String CompilePackageNode_DEFAULT_PACKAGE_LABEL;

    /**
     * Description of the output section of the compiles page
     */
    public static String CompileResultsPage_OUTPUT_SECTION_DESCRIPTION;

    /**
     * Title of the output section on the compiles page
     */
    public static String CompileResultsPage_OUTPUT_SECTION_TITLE;

    /**
     * Title of the show errors button
     */
    public static String CompileResultsPage_ERRORS_BUTTON_TITLE;

    /**
     * Title of the show warnings button
     */
    public static String CompileResultsPage_WARNINGS_BUTTON_TITLE;

    /**
     * Title of the compile section on the compiles page
     */
    public static String CompileResultsPage_COMPILE_SECTION_TITLE;

    /**
     * Mouseover description of the (un)hide successful projects button
     */
    public static String CompileResultsPage_SUCCESSFUL_PROJECTS_FILTER_TOOLTIP;

    /**
     * Mouseover description of the (un)hide projects with warnings button
     */
    public static String CompileResultsPage_PROJECT_WITH_WARNINGS_FILTER_TOOLTIP;

    /**
     * Component name string
     */
    public static String CompileResultsPage_COMPONENT_NAME;

    /**
     * Plugin name string
     */
    public static String CompileResultsPage_PLUGIN_NAME;

    /**
     * Package name string
     */
    public static String CompileResultsPage_PACKAGE_NAME;

    /**
     * Filename string
     */
    public static String CompileResultsPage_FILENAME;

    /**
     * Line number label
     */
    public static String CompileDetailBlock_LINE_NUMBER;

    /**
     * Name of job that retrieves problem details.
     */
    public static String CompileDetailBlock_RETRIEVING_PROBLEM_DETAILS;
}
