/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui.editors.result.junit;

/**
 * Implemented by classes that can provide details for a JUnit test.
 */
public interface IJUnitDetailProvider {

    /**
     * Return the class name for this JUnit test run.
     * 
     * @return String
     */
    public String getJUnitClassName();

    /**
     * Return the name of this JUnit test run.
     * 
     * @return String
     */
    public String getJUnitName();

    /**
     * Return the time it took in milliseconds for this JUnit test run to
     * complete.
     * 
     * @return long
     */
    public long getTimeTaken();
}
