/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.java.ui.editors.result.junit;

import org.eclipse.jface.viewers.TreeViewer;

import com.ibm.team.build.internal.ui.editors.result.BuildDeferredContentProvider;

/**
 * Content provider for the build tree viewer.
 */
public class JUnitContentProvider extends BuildDeferredContentProvider {

    /**
     * Create the content provider.
     * 
     * @param viewer
     *            the viewer presenting the content
     */
    public JUnitContentProvider(TreeViewer viewer) {
        super(viewer);
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.viewers.IStructuredContentProvider#getElements(java.lang.Object)
     */
    public Object[] getElements(Object inputElement) {
        if (inputElement instanceof JUnitBuildResultNode) {
            return getContentManager().getChildren(inputElement);
        }
        return null;
    }
}