/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.java.ui.editors.result.junit;

import org.eclipse.jface.text.hyperlink.IHyperlinkDetector;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.jface.text.source.SourceViewerConfiguration;
import org.eclipse.swt.SWT;
import org.eclipse.ui.IEditorSite;

/**
 * Configuration that provides hyperlink detector for java stack traces.
 */
public class JavaStackTraceConfiguration extends SourceViewerConfiguration {

    private IEditorSite fEditorSite;

    /**
     * Create a JavaStackTraceConfiguration object. The specified editor site is
     * passed on to the hyperlink detector.
     * 
     * @param editorSite
     *            the editor site to pass on to the hyperlink detector.
     */
    public JavaStackTraceConfiguration(IEditorSite editorSite) {
        fEditorSite = editorSite;
    }

    public IHyperlinkDetector[] getHyperlinkDetectors(ISourceViewer sourceViewer) {
        return new IHyperlinkDetector[] { new JavaStackTraceHyperlinkDetector(fEditorSite) };
    }

    public int getHyperlinkStateMask(ISourceViewer sourceViewer) {
        return SWT.NONE;
    }

}
