/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui.editors.result.junit;

import org.eclipse.osgi.util.NLS;

/**
 * Messages for the JUnit package.
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.java.ui.editors.result.junit.messages"; //$NON-NLS-1$

    private Messages() {
        // Intentionally empty.
    }

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new Messages();
    }

    /**
     * Multiple errors.
     */
    public static String JUnitContributionProvider_MULTIPLE_ERRORS;

    /**
     * Multiple failures.
     */
    public static String JUnitContributionProvider_MULTIPLE_FAILURES;

    /**
     * Multiple tests.
     */
    public static String JUnitContributionProvider_MULTIPLE_TESTS;

    /**
     * No tests.
     */
    public static String JUnitContributionProvider_NO_TESTS;

    /**
     * Single error.
     */
    public static String JUnitContributionProvider_ONE_ERROR;

    /**
     * Single failure.
     */
    public static String JUnitContributionProvider_ONE_FAILURE;

    /**
     * Single test.
     */
    public static String JUnitContributionProvider_ONE_TEST;

    /**
     * Summary text.
     */
    public static String JUnitContributionProvider_SUMMARY_TEXT;

    /**
     * Summary title.
     */
    public static String JUnitContributionProvider_SUMMARY_TITLE;

    /**
     * Page title.
     */
    public static String JUnitContributionProvider_PAGE_TITLE;

    /**
     * Class name label.
     */
    public static String JUnitDetailBlock_CLASS_NAME_LABEL;

    /**
     * Method label.
     */
    public static String JUnitDetailBlock_METHOD_LABEL;

    /**
     * Time taken label.
     */
    public static String JUnitDetailBlock_TIME_TAKEN_LABEL;

    /**
     * Find action label.
     */
    public static String JUnitDetailBlock_FIND_ACTION_LABEL;

    /**
     * Find action tooltip.
     */
    public static String JUnitDetailBlock_FIND_ACTION_TOOLTIP;

    /**
     * Find action description.
     */
    public static String JUnitDetailBlock_FIND_ACTION_DESCRIPTION;

    /**
     * Copy stack tract action label.
     */
    public static String JUnitDetailBlock_COPY_STACK_TRACE_ACTION_LABEL;

    /**
     * Error detail label.
     */
    public static String JUnitDetailBlock_ERROR_DETAIL_LABEL;

    /**
     * Failure detail label.
     */
    public static String JUnitDetailBlock_FAILURE_DETAIL_LABEL;

    /**
     * Message shown when unable to retrieve the problem data.
     */
    public static String JUnitDetailBlock_FAILURE_TO_RETRIEVE_PROBLEM_DATA;

}
