/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.java.ui.editors.result.junit;

public class UntiTestLocationUtils {

	private static String LOC_PREFIX = "At::"; //$NON-NLS-1$
	private static String LOC_DELIM = "::"; //$NON-NLS-1$

	public static String getLocationInfo(String detailText) {
		if (detailText == null) {
			return null;
		}
		int index = detailText
				.lastIndexOf('\n'); 
		if (index < 0) {
			return null;
		}
		String locString = detailText.substring(index);
		return locString != null && locString.trim().startsWith(LOC_PREFIX) ? locString
				.trim() : null;
	}

	public static String getFilePath(String locationInfo) {
		if (locationInfo != null) {
			String[] parts = locationInfo.split(LOC_DELIM);
			if (parts.length == 3 && parts[1] != null) {
				return parts[1].trim();
			}
		}
		return null;
	}

	public static int getLineLocation(String locationInfo) {
		if (locationInfo != null) {
			String[] parts = locationInfo.split(LOC_DELIM);
			if (parts.length == 3 && parts[2] != null) {
				try {
					return Integer.parseInt(parts[2].trim());
				} catch (NumberFormatException e) {
					// do nothing
				}
			}
		}
		return 1;
	}

}
