/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.java.ui.junit;

import org.eclipse.osgi.util.NLS;

/**
 * Messages for junit launching.
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.java.ui.junit.messages"; //$NON-NLS-1$

    private Messages() {
        // Intentionally Empty
    }

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new Messages();    
    }

    /**
     * Message indicating the type was not found in the workspace.
     */
    public static String AbstractJUnitLaunchActionDelegate_TYPE_NOT_FOUND;

    /**
     * Error dialog title.
     */
    public static String AbstractJUnitLaunchActionDelegate_ERROR_TITLE;
    
    /**
     * Message indicating that an error occurred opening the source file
     * associated with the type.
     */
    public static String AbstractJUnitLaunchActionDelegate_ERROR_OPENING_TYPE;
}
