/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui.workitems;

import org.eclipse.osgi.util.NLS;

/**
 * 
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.java.ui.workitems.messages"; //$NON-NLS-1$
    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new Messages();
    }

    private Messages() {
        // Intentionally empty.
    }

    /**
     * Summary for work item created from junit testsuite failure if build
     * result is available
     */
    public static String CreateWorkItemFromJUnitTestAction_TESTSUITE_FAILURE;

    /**
     * Summary for work item created from junit testcase failure if build result
     * is available
     */
    public static String CreateWorkItemFromJUnitTestAction_TESTCASE_FAILURE;

 

    /**
     * Job name.
     */
    public static String CreateWorkItemFromJUnitTestAction_CREATING_WORK_ITEM;

    /**
     * Job label.
     */
    public static String CreateWorkItemFromCompileAction_JOB_LABEL;

    /**
     * Work item summary.
     */
    public static String CreateWorkItemFromCompileAction_SUMMARY;

    /**
     * Job label.
     */
    public static String FindSimilarWorkItemsFromCompileAction_JOB_LABEL;

    /**
     * Job label.
     */
    public static String FindSimilarWorkItemsFromJUnitTestAction_JOB_LABEL;
}
