/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.ui;

import com.ibm.team.build.common.model.IBuildProperty;

/**
 * Listener to receive events about property addition, removal, and editing in
 * the <code>BuildPropertyControl</code>.
 */
public interface IBuildPropertyControlListener {
    /**
     * Indicates that a build property was added to the control.
     * 
     * @param buildProperty
     *            The property that was added.
     */
    public void propertyAdded(IBuildProperty buildProperty);

    /**
     * Indicates that a build property was edited.
     * 
     * @param buildProperty
     *            The property that was edited.
     */
    public void propertyEdited(IBuildProperty buildProperty);

    /**
     * Indicates that build properties were removed from the control.
     * 
     * @param buildProperties
     *            The properties that were removed.
     */
    public void propertiesRemoved(IBuildProperty[] buildProperties);
}
