/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.ui;

/**
 * Top-level build UI constants.
 */
public interface IBuildUIConstants {

    /**
     * ID for the builds view.
     */
    public static final String ID_BUILD_QUERY_VIEW = "com.ibm.team.build.internal.ui.views.query.BuildQueryView"; //$NON-NLS-1$

    /**
     * ID for the build definition editor.
     */
    public static final String ID_BUILD_DEFINITION_EDITOR = "com.ibm.team.build.ui.editors.buildDefinitionEditor"; //$NON-NLS-1$

    /**
     * ID for the build tag editor.
     */
    public static final String ID_BUILD_TAG_EDITOR = "com.ibm.team.build.ui.editors.buildTagEditor";//$NON-NLS-1$

    /**
     * ID for the build result editor.
     */
    public static final String ID_BUILD_RESULT_EDITOR = "com.ibm.team.build.ui.editors.buildResultExplorer"; //$NON-NLS-1$

    /**
     * ID for the build engine editor.
     */
    public static final String ID_BUILD_ENGINE_EDITOR = "com.ibm.team.build.ui.editors.buildEngineEditor"; //$NON-NLS-1$

    /**
     * ID for the <code>buildResultPages</code> extension point.
     */
    public static final String ID_BUILD_RESULT_PAGES_EXTENSION = "buildResultPages"; //$NON-NLS-1$

    /**
     * Group ID for actions that are for administering build definitions and
     * engines.
     */
    public final static String ID_BUILD_ADMIN_ACTIONS_GROUP = "buildAdminActions"; //$NON-NLS-1$

    /**
     * Group ID for actions that deal with builds and SCM operations.
     */
    public final static String ID_BUILD_SCM_ACTIONS_GROUP = "buildScmActions"; //$NON-NLS-1$

    /**
     * Group ID for Delete actions.
     */
    public final static String ID_BUILD_DELETE_ACTIONS_GROUP = "buildDeleteActions"; //$NON-NLS-1$

    /**
     * Group ID for build actions that are not administrative (such as
     * requesting a build).
     */
    public final static String ID_BUILD_ACTIONS_GROUP = "buildActions";//$NON-NLS-1$

    /**
     * Group ID for opening or creating build items.
     */
    public final static String ID_BUILD_EDIT_ACTIONS_GROUP = "buildEditActions"; //$NON-NLS-1$

    /**
     * Group ID for transfer commands (cut, copy, paste).
     */
    public static final String ID_BUILD_TRANSFER_ACTIONS_GROUP = "buildTransferActions"; //$NON-NLS-1$

    /**
     * Group Id for the Refresh action.
     */
    public static final String ID_BUILD_REFRESH_ACTIONS_GROUP = "buildRefreshActions"; //$NON-NLS-1$

}
