/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui;

import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.ImageData;
import org.eclipse.swt.graphics.Point;

/**
 * A descriptor for an image consiting of a base image and the personal build
 * overlay in the upper left corner.
 */
public class PersonalBuildCompositeImageDescriptor extends AbstractBuildCompositeImageDescriptor {

    /**
     * Create a new BuildActivityCompositeImageDescriptor.
     * 
     * @param baseImage
     *            an image descriptor used as the base image
     */
    public PersonalBuildCompositeImageDescriptor(Image baseImage) {
        super(baseImage, BuildUIPlugin.getImageDescriptor("icons/ovr16/personal_bld_ovr.gif").getImageData()); //$NON-NLS-1$
    }

    /**
     * Return the overlay specified by the build state.
     */
    protected ImageData getOverlay() {
        return (ImageData) getAdornmentObject();
    }

    protected Point getOverlayLocation(ImageData overlay) {
        // Top-left, slightly indented.
        return new Point(2, 0);
    }
}
