/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui;

import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.ImageData;
import org.eclipse.swt.graphics.Point;

/**
 * A descriptor for an image consisting of a base image and the personal build
 * overlay in the upper left corner.
 */
public class PersonalBuildTransparentCompositeImageDescriptor extends AbstractBuildCompositeImageDescriptor {

    /**
     * Create a new PersonalBuildTransparentCompositeImageDescriptor.
     * 
     * @param baseImage
     *            an image descriptor used as the base image
     */
    public PersonalBuildTransparentCompositeImageDescriptor(Image baseImage) {
        super(baseImage, BuildUIPlugin.getImageDescriptor("icons/ovr16/personal_bld_transparent_ovr.gif").getImageData()); //$NON-NLS-1$
    }

    /**
     * Return the personal build icon overlay.
     */
    protected ImageData getOverlay() {
        return (ImageData) getAdornmentObject();
    }

    protected Point getOverlayLocation(ImageData overlay) {
        // Top-left corner, aligned to the left and moved down
        return new Point(0, 2);
    }
}
