/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.ui.IEditorActionDelegate;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbenchPartSite;

import com.ibm.team.build.common.model.IBuildResult;
import com.ibm.team.build.internal.ui.editors.result.BuildResultEditorInput;

/**
 * An abstract action delegate for the build result editor.
 */
public abstract class BuildResultEditorActionDelegate implements IEditorActionDelegate {
    protected IWorkbenchPartSite fSite;
    protected IBuildResult fBuildResult;

    public void setActiveEditor(IAction action, IEditorPart targetEditor) {
        if (targetEditor != null) {
            fSite = targetEditor.getSite();
            IEditorInput input = targetEditor.getEditorInput();
            if (input instanceof BuildResultEditorInput) {
                fBuildResult = ((BuildResultEditorInput) input).getResult();
            }
        } else {
            fSite = null;
            fBuildResult = null;
        }
    }

}
