/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui.actions;

import org.eclipse.osgi.util.NLS;

/**
 * Translated messages used in actions of the Build UI.
 */
public class BuildUIActionMessages extends NLS {
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.ui.actions.BuildUIActionMessages"; //$NON-NLS-1$

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, BuildUIActionMessages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new BuildUIActionMessages();
    }

    private BuildUIActionMessages() {
        // intentionally empty
    }

    /**
     * Abandon build job name for a single build.
     */
    public static String AbandonBuildAction_ABANDON_SINGLE_BUILD_JOB_TITLE;

    /**
     * Abandon build job name for multiple builds.
     */
    public static String AbandonBuildAction_ABANDON_MULTIPLE_BUILDS_JOB_TITLE;

    /**
     * Confirmation message for abandoning multiple builds.
     */
    public static String AbandonBuildAction_2;

    /**
     * Confirmation message for abandoning a single build.
     */
    public static String AbandonBuildAction_3;

    /**
     * Message indicating the user should confirm a message.
     */
    public static String AbstractRepositoryActionDelegate_0;

    /**
     * Message indicating an error occurred while running the action.
     */
    public static String AbstractRepositoryActionDelegate_2;

    /**
     * Confirmation message if more than one request is selected.
     */
    public static String CancelBuildRequestAction_0;

    /**
     * Confirmation message if one request is selected.
     */
    public static String CancelBuildRequestAction_1;

    /**
     * Name of job to cancel a single build request.
     */
    public static String CancelBuildRequestAction_CANCEL_SINGLE_REQUEST_JOB_TITLE;

    /**
     * Name of job to cancel multiple build requests.
     */
    public static String CancelBuildRequestAction_CANCEL_MULTIPLE_REQUESTS_JOB_TITLE;

    /**
     * Message indicating the selected build requests are being canceled.
     */
    public static String CancelBuildRequestAction_CANCEL_SELECTED_BUILD_REQUESTS;

    /**
     * Menu text for copy link location context menu on Downloads Page
     */
    public static String CopyToClipboardAction_LinkMenuText;

    /**
     * Menu text for copy file location context menu on Downloads Page
     */
    public static String CopyToClipboardAction_FileMenuText;

    /**
     * Message indicating the build engine will be permanently removed from the
     * repository.
     */
    public static String DeleteBuildEngineActionDelegate_0;

    /**
     * Progress messages when deleting build engines.
     */
    public static String DeleteBuildEngineActionDelegate_1;

    /**
     * Message for unable to delete build definition because there are existing
     * builds.
     */
    public static String DeleteBuildDefinitionActionDelegate_CANT_DELETE;

    /**
     * Delete problem dialog title.
     */
    public static String DeleteBuildDefinitionActionDelegate_DELETE_PROBLEM;

    /**
     * Message indicating that 1 or more build results could not be deleted
     * because they were marked to not allow deletion.
     */
    public static String DeleteBuildResultActionDelegate_RESULT_DELETE_NOT_ALLOWED;
    
    /**
     * Confirmation message for deleting a build folder and its subfolders.
     */
    public static String DeleteBuildFolderActionDelegate_CONFIRMATION_MESSAGE;
    
    /**
     * Message indicating that one or more build folder deletions failed.
     */
    public static String DeleteBuildFolderActionDelegate_FOLDER_DELETE_FAILED;

    /**
     * Delete build folder job name
     */
    public static String DeleteBuildFolderActionDelegate_JOB_TITLE;
    
    /**
     * Job message for fetching team area.
     */
    public static String EditBuildDefinitionActionDelegate_FETCHING_TEAM_AREA;
    
    /**
     * Title for the enabling build folders dialog
     */
    public static String BuildFolderActionDelegate_ENABLE_FOLDERS_TITLE;
    
    /**
     * Confirmation message for the enabling build folders dialog when a move
     * action is performed.
     */
    public static String BuildFolderActionDelegate_ENABLE_FOLDERS_MOVE_CONFIRMATION_MESSAGE;

    /**
     * Confirmation message for the enabling build folders dialog when a new
     * folder action is performed.
     */
    public static String BuildFolderActionDelegate_ENABLE_FOLDERS_NEW_FOLDER_CONFIRMATION_MESSAGE;

    /**
     * Job message for opening the build folder edit dialog
     */
    public static String EditBuildFolderActionDelegate_JOB_TITLE;

    /**
     * Label for the new build view folder action.
     */
    public static String NewBuildFolderActionDelegate_LABEL_NEW_BUILD_FOLDER;
    
    /**
     * Job message for opening the new build folder dialog.
     */
    public static String NewBuildFolderActionDelegate_JOB_TITLE;
    
    /**
     * Default name to use when creating a build folder using the build folder dialog.
     */
    public static String NewBuildFolderActionDelegate_DEFAULT_FOLDER_NAME;
    
    /**
     * Action id for the "new build definition" action.
     */
    public static String NewTeamBuildActionDelegate_ACTION_ID;

    /**
     * Label for the new build definition action.
     */
    public static String NewTeamBuildActionDelegate_LABEL_NEW_BUILD_DEFINITION;

    /**
     * Label for the Open action
     */
    public static String OpenFileAction_OPEN;

    /**
     * Tooltip for the Open action
     */
    public static String OpenFileAction_OPEN_FILE_IN_EDITOR_TOOLTIP;

    /**
     * Tooltip for the Open URL action
     */
    public static String OpenURLAction_OPEN_URL_TOOLTIP;

    /**
     * Label for the file Save As action
     */
    public static String SaveFileAction_SAVE_AS;

    /**
     * Tooltip for the repository file Save As action
     */
    public static String SaveRepositoryFileAction_SAVE_AS_TOOLTIP;

    /**
     * Label for the URL Save As action
     */
    public static String SaveURLAction_SAVE_LINK_AS;

    /**
     * Tooltip for the repository file Save As action
     */
    public static String SaveURLAction_SAVE_AS_TOOLTIP;

    /**
     * Progress message when removing build results.
     */
    public static String RemoveBuildResultsActionDelegate_0;

    /**
     * Confirmation message indicating the build results will be permanently
     * removed from the repository.
     */
    public static String RemoveBuildResultsActionDelegate_1;

    /**
     * Progress message when removing build definitions.
     */
    public static String RemoveBuildDefinitionActionDelegate_0;

    /**
     * Confirmation message indicating the build definitions will be permanently
     * removed from the repository.
     */
    public static String RemoveBuildDefinitionActionDelegate_1;

    /**
     * Error title for view activation.
     */
    public static String SubscribeToFeedAction_ERROR_ACTIVATING_VIEW;

    /**
     * Error message for view activation.
     */
    public static String SubscribeToFeedAction_ERROR_ACTIVATING_VIEW_MESSAGE;

    /**
     * Action label feed subscription.
     */
    public static String SubscribeToFeedAction_SUBSCRIBE_TO_FEED;

}
