/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.actions.ActionDelegate;

import com.ibm.team.build.internal.ui.helper.ClipboardHelper;

/**
 * Delegate that copies the build result information to the system clipboard
 */
public class CopyBuildResultActionDelegate extends ActionDelegate {
    
    private IStructuredSelection fSelection;

    /*
     * (non-Javadoc) Intentionally not documented. See parent.
     */
    @Override
    public void run(IAction action) {
        if (fSelection != null) {
            ClipboardHelper.getDefault().copyBuildSelectionToClipboard(fSelection, Display.getDefault());
        }
    }

    /*
     * (non-Javadoc) Intentionally not documented. See parent.
     */
    @Override
    public void selectionChanged(IAction action, ISelection selection) {
        fSelection = null;
        if (selection instanceof IStructuredSelection) {
            fSelection = (IStructuredSelection) selection;            
        }
    }

    /**
     * @return the selection for this action delegate.
     */
    public IStructuredSelection getSelection() {
        return fSelection;
    }

}
