/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.team.ui.TeamUI;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.actions.ActionDelegate;

import com.ibm.team.build.common.model.IBuildEngine;
import com.ibm.team.build.internal.ui.domain.BuildEngineQueryNode;

/**
 * Action to show the history for a build engine.
 * 
 * @since 0.8
 */
public class ShowBuildEngineHistoryActionDelegate extends ActionDelegate implements IObjectActionDelegate {

    private IBuildEngine fEngine;

    @Override
    public void run(IAction action) {
        if (fEngine != null) {
            TeamUI.getHistoryView().showHistoryFor(fEngine);
        }
    }
    
    @Override
    public void selectionChanged(IAction action, ISelection sel) {
        if (sel instanceof IStructuredSelection) {
            IStructuredSelection selection = (IStructuredSelection) sel;
            fEngine = sel.isEmpty() ? null : ((BuildEngineQueryNode) selection.getFirstElement()).getBuildEngineStatusRecord().getBuildEngine();
        }
    }
    
    public void setActivePart(IAction action, IWorkbenchPart targetPart) {
        // Do nothing.
    }

}
