/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui.adapters;

import org.eclipse.core.runtime.IAdapterFactory;
import org.eclipse.ui.IActionFilter;

import com.ibm.team.build.internal.common.model.dto.IBuildResultRecord;

/**
 * An adapter factory for adapting {@link IBuildResultRecord} to
 * {@link IActionFilter}. This is useful for enablement and visibility elements
 * on action contributions in plugin.xml.
 */
public class BuildResultRecordAdapterFactory implements IAdapterFactory {

    private final static Class[] fSupportedTypes = new Class[] { IActionFilter.class };

    /*
     * (non-Javadoc) Intentionally not documented. See parent.
     */
    public Object getAdapter(Object adaptableObject, Class adapterType) {
        if (adaptableObject instanceof IBuildResultRecord && adapterType == IActionFilter.class) {
            return new BuildResultRecordActionFilter();
        }

        return null;
    }

    /*
     * (non-Javadoc) Intentionally not documented. See parent.
     */
    public Class[] getAdapterList() {
        return fSupportedTypes;
    }
}
