/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui.dialogs;

import org.eclipse.osgi.util.NLS;

/**
 * Messages for build dialogs.
 */
public class BuildUIDialogMessages extends NLS {
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.ui.dialogs.BuildUIDialogMessages"; //$NON-NLS-1$

    private BuildUIDialogMessages() {
        // Don't allow creation.
    }

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, BuildUIDialogMessages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new BuildUIDialogMessages();
    }

    /**
     * Label for the description field
     */
    public static String AbstractEditItemsDialog_DESCRIPTION;

    /**
     * Label for the deselect all button
     */
    public static String AbstractEditItemsDialog_DESELECT_ALL_LABEL;

    /**
     * Default String when no description is entered
     */
    public static String AbstractEditItemsDialog_NO_DESCRIPTION;

    /**
     * Label for the select all button
     */
    public static String AbstractEditItemsDialog_SELECT_ALL_LABEL;

    /**
     * Dialog message for adding a file.
     */
    public static String BuildResultAttachmentFileDialog_ADD_FILE_MESSAGE;

    /**
     * Dialog message for adding a link.
     */
    public static String BuildResultAttachmentFileDialog_ADD_LINK_MESSAGE;

    /**
     * Label for the component name field.
     */
    public static String BuildResultAttachmentFileDialog_COMPONENT_NAME_LABEL;

    /**
     * Label for the file name field.
     */
    public static String BuildResultAttachmentFileDialog_FILE_NAME_LABEL;

    /**
     * Label for the link URL field.
     */
    public static String BuildResultAttachmentFileDialog_LINK_URL_LABEL;

    /**
     * Message indicating a malformed url.
     */
    public static String BuildResultAttachmentFileDialog_MALFORMED_URL;

    /**
     * Message indicating the specified file does not exist.
     */
    public static String BuildResultAttachmentFileDialog_FILE_NOT_EXIST;

    /**
     * Browse button label.
     */
    public static String BuildResultAttachmentFileDialog_BROWSE_BUTTON_LABEL;

    /**
     * Title for the add file dialog specifying a file.
     */
    public static String BuildResultAttachmentFileDialog_FILE_TITLE;

    /**
     * Title for the add file dialog specifying a link.
     */
    public static String BuildResultAttachmentFileDialog_LINK_TITLE;

    /**
     * Title for file selection dialog for adding a downloadable file.
     */
    public static String BuildResultAttachmentFileDialog_ADD_FILE_SELECTION_DIALOG_TITLE;

    /**
     * Content type field label.
     */
    public static String BuildResultAttachmentFileDialog_CONTENT_TYPE_LABEL;

    /**
     * Character encoding field label.
     */
    public static String BuildResultAttachmentFileDialog_CHARACTER_ENCODING_LABEL;

    /**
     * Tooltip for content type field.
     */
    public static String BuildResultAttachmentFileDialog_CONTENT_TYPE_TOOLTIP;

    /**
     * Tooltip for character encoding field.
     */
    public static String BuildResultAttachmentFileDialog_CHARACTER_ENCODING_TOOLTIP;

    /**
     * Advanced options label.
     */
    public static String BuildResultAttachmentFileDialog_ADVANCED_OPTIONS;

    /**
     * Error message indicating a character set is not supported.
     */
    public static String BuildResultAttachmentFileDialog_CHARACTER_SET_NOT_SUPPORTED_ERROR_MESSAGE;

    /**
     * Edit button label.
     */
    public static String BuildPropertyDialog_EDIT_BUTTON_LABEL;

    /**
     * Job label.
     */
    public static String BuildPropertyDialog_FETCHING_VALUE;

    /**
     * Error dialog title.
     */
    public static String BuildPropertyDialog_INVALID_VALUE;

    /**
     * Error dialog message.
     */
    public static String BuildPropertyDialog_VALUE_TOO_LONG;

    /**
     * Dialog description.
     */
    public static String BuildPropertyKindSelectionDialog_DESCRIPTION;

    /**
     * Message for build tag.
     */
    public static String CreateReleaseDialog_BUILD_TAG;

    /**
     * Message for build tag tooltip.
     */
    public static String CreateReleaseDialog_BUILD_TAG_TOOLTIP;

    /**
     * Message for description.
     */
    public static String CreateReleaseDialog_DESCRIPTION;

    /**
     * Message for private release.
     */
    public static String CreateReleaseDialog_PRIVATE;

    /**
     * Message for release name.
     */
    public static String CreateReleaseDialog_RELEASE_NAME;

    /**
     * Message for release name tooltip.
     */
    public static String CreateReleaseDialog_RELEASE_NAME_TOOLTIP;

    /**
     * Message for title.
     */
    public static String CreateReleaseDialog_TITLE;

    /**
     * Add build definitions dialog description.
     */
    public static String EditBuildDefinitionsDialog_DESCRIPTION;

    /**
     * Show all button label for the add build definitions dialog.
     */
    public static String EditBuildDefinitionsDialog_SHOW_ALL_LABEL;

    /**
     * Show project area button label for the add build definitions dialog.
     */
    public static String EditBuildDefinitionsDialog_SHOW_PROJECT_AREA_LABEL;

    /**
     * Add build definitions dialog title.
     */
    public static String EditBuildDefinitionsDialog_TITLE;

    /**
     * Dialog message for adding build engines
     */
    public static String EditBuildEnginesDialog_DESCRIPTION;

    /**
     * Label for the show all engines button
     */
    public static String EditBuildEnginesDialog_SHOW_ALL_LABEL;

    /**
     * Label for the show project area engines button
     */
    public static String EditBuildEnginesDialog_SHOW_PROJECT_AREA_LABEL;

    /**
     * Dialog title for adding build engines
     */
    public static String EditBuildEnginesDialog_TITLE;

    /**
     * Message indicating a property name is required.
     */
    public static String PROPERTY_NAME_REQUIRED;

    /**
     * Message indicating a property name cannot contain spaces.
     */
    public static String PROPERTY_NAME_NO_SPACES;

    /**
     * Message indicating a property already exists.
     */
    public static String PROPERTY_EXISTS;

    /**
     * Message for specifying the name and value of a property.
     */
    public static String PROPERTY_HEADER;
    /**
     * Message for specifying the name and value of a property for a required
     * property
     */
    public static String PROPERTY_HEADER_REQUIRED;

    /**
     * Message for the name label.
     */
    public static String PROPERTY_NAME;

    /**
     * Message for the value label.
     */
    public static String PROPERTY_VALUE;

    /**
     * Property description label.
     */
    public static String DESCRIPTION_LABEL;

    /**
     * Message for request build description.
     */
    public static String REQUEST_BUILD_HEADER;

    /**
     * Message for request build job title.
     */
    public static String REQUEST_BUILD_JOB_TITLE;

    /**
     * Submit label.
     */
    public static String REQUEST_BUILD_SUBMIT;

    /**
     * Build definition label.
     */
    public static String BUILD_DEFINITION_LABEL;

    /**
     * Pending label.
     */
    public static String PENDING_LABEL;

    /**
     * The label for the options that can occur after a build request is
     * submitted.
     */
    public static String RequestBuildDialog_AFTER_REQUEST_LABEL;

    /**
     * Browse button.
     */
    public static String RequestBuildDialog_BROWSE;

    /**
     * Browse for workspace.
     */
    public static String RequestBuildDialog_BROWSE_WORKSPACE;

    /**
     * Browse for component load rules.
     */
    public static String RequestBuildDialog_BROWSE_COMPONENT_LOAD_RULES;

    /**
     * Message indicating that a build is already in progress.
     */
    public static String RequestBuildDialog_BUILD_ALREADY_IN_PROGRESS;

    /**
     * Build Properties label.
     */
    public static String RequestBuildDialog_BUILD_PROPERTIES_LABEL;

    /**
     * Build Options label.
     */
    public static String RequestBuildDialog_BUILD_OPTIONS_LABEL;

    /**
     * Build Properties label when requesting a rebuild.
     */
    public static String RequestBuildDialog_REBUILD_PROPERTIES_LABEL;

    /**
     * Build Options label when requesting a rebuild.
     */
    public static String RequestBuildDialog_REBUILD_OPTIONS_LABEL;

    /**
     * Title for request build dialog.
     */
    public static String RequestBuildDialog_DIALOG_TITLE_REQUEST_BUILD;

    /**
     * Title for request rebuild dialog.
     */
    public static String RequestBuildDialog_DIALOG_TITLE_REQUEST_REBUILD;

    /**
     * The option to do nothing related to the builds view after submitting the
     * request.
     */
    public static String RequestBuildDialog_DO_NOTHING;

    /**
     * Engines not processing requests.
     */
    public static String RequestBuildDialog_ENGINES_NOT_PROCESSING;

    /**
     * Title for error dialog.
     */
    public static String RequestBuildDialog_ERROR_DIALOG_TITLE;

    /**
     * Initialize job label.
     */
    public static String RequestBuildDialog_JOB_LABEL_INITIALIZING;

    /**
     * Load rules dialog message.
     */
    public static String RequestBuildDialog_LOAD_RULES_DIALOG_MESSAGE;

    /**
     * Message for no definition selected.
     */
    public static String RequestBuildDialog_NO_DEFINITION_SELECTED;

    /**
     * Message for no engines supporting requests.
     */
    public static String RequestBuildDialog_NO_ENGINES_SUPPORT_REQUESTS;

    /**
     * Message for no options.
     */
    public static String RequestBuildDialog_NO_OPTIONS;

    /**
     * Message for not supporting engines.
     */
    public static String RequestBuildDialog_NO_SUPPORTING_ENGINES;

    /**
     * Personal build option.
     */
    public static String RequestBuildDialog_PERSONAL_BUILD_BUTTON;

    /**
     * Personal build description.
     */
    public static String RequestBuildDialog_PERSONAL_BUILD_DESCRIPTION;

    /**
     * Repository workspace.
     */
    public static String RequestBuildDialog_REPOSITORY_WORKSPACE;

    /**
     * Component Load rules.
     */
    public static String RequestBuildDialog_COMPONENT_LOAD_RULES;

    /**
     * Message indicating that a request is already in the queue.
     */
    public static String RequestBuildDialog_REQUEST_ALREADY_IN_QUEUE;

    /**
     * Dialog title for request build confirmation dialog.
     */
    public static String RequestBuildDialog_REQUEST_BUILD_TITLE;

    /**
     * Title of the error dialog when a deleted build definition is referenced.
     */
    public static String BUILD_ITEM_DELETED_ERROR_DIALOG_TITLE;

    /**
     * Message for a dialog that appears when a personal build is requested, but
     * will not appear in the associated build query.
     */
    public static String RequestBuildDialog_SHOULD_SHOW_PERSONAL_BUILDS_QUESTION_MESSAGE;

    /**
     * The option to show the build queue in the builds view after the request
     * is submitted.
     */
    public static String RequestBuildDialog_SHOW_BUILD_QUEUE;

    /**
     * The options to show the builds of the requested type in the builds view
     * after the request is submitted.
     */
    public static String RequestBuildDialog_SHOW_BUILDS_OF_REQUESTED_TYPE;

    /**
     * The title for a dialog that appears while opening the Builds view.
     */
    public static String RequestBuildDialog_OPENING_BUILDS_VIEW_DIALOG_TITLE;

    /**
     * 'Request Build' dialog error message indicating that no build workspace
     * has been specified for the personal build.
     */
    public static String ScmOptionsSection_ERROR_MESSAGE_NO_BUILD_WORKSPACE;

    /**
     * 'Request Build' dialog warning message indicating that the selected
     * personal build workspace is a stream.
     * 
     * @since 0.8.1
     */
    public static String ScmOptionsSection_WARNING_MESSAGE_BUILD_WORKSPACE_IS_STREAM;

    /**
     * Job name to check for unchecked-in changes in the specified build
     * workspace & retrieve comoponent read scopes.
     */
    public static String ScmOptionsSection_CHECK_PERSONAL_BUILD_WORKSPACE_JOB_NAME;

    /**
     * Private components found in the personal build workspace
     */
    public static String ScmOptionsSection_PRIVATE_COMPONENTS_IN_PERSONAL_WORKSPACE;

    /**
     * 'Request Build' dialog warning message indicating that there are
     * unchecked-in changes in the specified build workspace.
     * 
     * @since 0.8.1
     */
    public static String ScmOptionsSection_WARNING_MESSAGE_UNCHECKED_IN_CHANGES_EXIST_IN_BUILD_WORKSPACE;

    /**
     * 'Request Build' dialog warning message indicating that the selected build
     * workspace is private.
     * 
     * @since 0.8.1
     */
    public static String ScmOptionsSection_WARNING_MESSAGE_PRIVATE_BUILD_WORKSPACE;

    /**
     * Message indicating that the specified build item has been deleted from
     * the repository.
     */
    public static String SELECTED_BUILD_ITEM_DELETED;

    /**
     * Selection dialog message.
     */
    public static String RequestBuildDialog_SELECT_DEFINITION_MESSAGE;

    /**
     * Selection dialog title.
     */
    public static String RequestBuildDialog_SELECT_DEFINITION_TITLE;

    /**
     * Build engine label.
     */
    public static String RequestBuildDialog_BUILD_ENGINE_LABEL;

    /**
     * Build engine browse button.
     */
    public static String RequestBuildDialog_BUILD_ENGINE_BROWSE;

    /**
     * The name of the job to fetch engines.
     */
    public static String RequestBuildDialog_FETCHING_ENGINES_JOB_NAME;

    /**
     * The title of the "Select Build Engine" dialog.
     */
    public static String RequestBuildDialog_SELECT_ENGINE_DIALOG_TITLE;

    /**
     * The description of the "Select Build Engine" dialog.
     */
    public static String RequestBuildDialog_SELECT_ENGINE_DIALOG_DESCRIPTION;

    /**
     * Text indicating that any supporting build engine will be used.
     */
    public static String RequestBuildDialog_ANY_SUPPORTING_ENGINE_TEXT;
    
    /**
     * Text indicating the details of the solution to be built.
     */
    public static String MicrosoftSolutionInputDataDialog_ADD_NEW_SOLUTION;

    /**
     * Label for the "working directory" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_WORKING_DIR_LABEL;

    /**
     * Tooltip description for the "working directory" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_WORKING_DIR_DESC;

    /**
     * Label for the "solution / project file name" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_SOLUTION_LABEL;

    /**
     * Tooltip for the "solution / project file name" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_SOLUTION_DESC;

    /**
     * Label for the "build configuration" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_CONFIG_LABEL;

    /**
     * Tooltip for the "build configuration" text field. 
     */
    public static String MicrosoftSolutionInputDataDialog_CONFIG_DESC;

    /**
     * Label for the "build type" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_BUILD_TYPE_LABEL;

    /**
     * Tooltip for the "build type" text field. 
     */
    public static String MicrosoftSolutionInputDataDialog_BUILD_TYPE_DESC;

    /**
     * Error message indicating that a solution or project file should be specified.
     */
    public static String MicrosoftSolutionInputDataDialog_SOLUTION_FILE_REQUIRED;

    /**
     * Label for the "build log" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_BUILD_OUTPUT_LABEL;

    /**
     * Tooltip for the "build log" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_BUILD_OUTPUT_DESC;

    /**
     * Label for the "additional arguments" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_BUILD_ADDITIONAL_ARG_LABEL;

    /**
     * Tooltip for the "additional arguments" text field.
     */
    public static String MicrosoftSolutionInputDataDialog_BUILD_ADDITIONAL_ARG_DESC;
    
    /**
     * Dialog message for adding build engines
     */
    public static String AddBuildEnginesDialog_DESCRIPTION;

    /**
     * Label for the show all engines button
     */
    public static String AddBuildEnginesDialog_SHOW_ALL_LABEL;

    /**
     * Label for the show project area engines button
     */
    public static String AddBuildEnginesDialog_SHOW_PROJECT_AREA_LABEL;
    
    /**
     * Add build engines dialog title.
     */
    public static String AddBuildEnginesDialog_TITLE;
    
    /**
     * Add build definitions dialog description.
     */
    public static String AddBuildDefinitionsDialog_DESCRIPTION;

    /**
     * Show all button label for the add build definitions dialog.
     */
    public static String AddBuildDefinitionsDialog_SHOW_ALL_LABEL;

    /**
     * Show project area button label for the add build definitions dialog.
     */
    public static String AddBuildDefinitionsDialog_SHOW_PROJECT_AREA_LABEL;
    
    /**
     * Add build definitions dialog title.
     */
    public static String AddBuildDefinitionsDialog_TITLE;
    
    /**
     * Title for the build folder properties dialog.
     */
    public static String BuildFolderPropertiesDialog_TITLE_EXISTING_FOLDER;
    
    /**
     * Title for the new build folder dialog.
     */
    public static String BuildFolderPropertiesDialog_TITLE_NEW_FOLDER;
    
    /**
     * The name of the job to fetch the build folder.
     */
    public static String BuildFolderPropertiesDialog_FETCHING_FOLDER_JOB_NAME;
    
    /**
     * Message for error dialog if the fetching folder job fails.
     */
    public static String BuildFolderPropertiesDialog_FETCHING_FOLDER_ERROR_MESSAGE;
    
    /**
     * Label for the "folder name" field.
     */
    public static String BuildFolderPropertiesDialog_FOLDER_NAME_LABEL;
    
    /**
     * Label for the "process area" field.
     */
    public static String BuildFolderPropertiesDialog_PROCESS_AREA_LABEL;
    
    /**
     * Tooltip text for the "process area" field.
     */
    public static String BuildFolderPropertiesDialog_PROCESS_AREA_TOOLTIP;
    
    /**
     * Label for the browse process area button.
     */
    public static String BuildFolderPropertiesDialog_BROWSE_BUTTON_LABEL;
    
    /**
     * Job label for saving an existing build folder.
     */
    public static String BuildFolderPropertiesDialog_SAVE_EXISTING_BUILD_FOLDER_JOB_NAME;
    
    /**
     * Job label for saving a new build folder.
     */
    public static String BuildFolderPropertiesDialog_SAVE_NEW_BUILD_FOLDER_JOB_NAME;
    
    /**
     * Decorator label for an empty name error.
     */
    public static String BuildFolderPropertiesDialog_NAME_DECORATOR_EMPTY_NAME;
    
    /**
     * Decorator label for a name too long error.
     */
    public static String BuildFolderPropertiesDialog_NAME_DECORATOR_TOO_LONG_NAME;
    
    /**
     * Label for the "destination folder" tree.
     */
    public static String BuildFolderSelectionDialog_DESTINATION_FOLDER_LABEL;

    /**
     * Job label for fetching children of a folder.
     */
    public static String BuildFolderSelectionDialog_FETCHING_CHILDREN_JOB_NAME;
    
    /**
     * Build folder selection dialog title for moving a build definition.
     */
    public static String BuildFolderSelectionDialog_MOVE_BUILD_DEFINITION_TITLE;
    
    /**
     * Build folder selection dialog title for moving a build folder.
     */
    public static String BuildFolderSelectionDialog_MOVE_BUILD_FOLDER_TITLE;
    
    /**
     * Job label for moving a build item.
     */
    public static String BuildFolderSelectionDialog_MOVE_BUILD_ITEM_JOB_NAME;

    /**
     * Build folder selection dialog title for moving multiple build items.
     */
    public static String BuildFolderSelectionDialog_MOVE_BUILD_ITEMS_TITLE;
}
