/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui.dialogs.definitions;

import org.eclipse.osgi.util.NLS;

import com.ibm.team.build.internal.common.model.dto.IBuildDefinitionStatusRecord;

/**
 * Strings used in this package.
 */
public class BuildDefinitionDialogMessages extends NLS {
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.ui.dialogs.definitions.BuildDefinitionDialogMessages"; //$NON-NLS-1$

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, BuildDefinitionDialogMessages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new BuildDefinitionDialogMessages();
    }

    private BuildDefinitionDialogMessages() {
        // private constructor to prevent instances
    }

    /**
     * Name of the job that fetches {@link IBuildDefinitionStatusRecord}s from
     * the repository.
     */
    public static String FetchBuildDefinitionStatusRecordsJob_0;

    /**
     * Message indicating that the repository could be contacted.
     */
    public static String FetchBuildDefinitionStatusRecordsJob_COULD_NOT_CONNECT_TO_REPOSITORY;

    /**
     * Message indicating an error occurred connecting to a specific repository.
     */
    public static String FetchBuildDefinitionStatusRecordsJob_ERROR_CONNECTING_TO_REPOSITORY_X;

    /**
     * Message indicating that no repositories could be contacted.
     */
    public static String FetchBuildDefinitionStatusRecordsJob_COULD_NOT_CONNECT_TO_ANY_REPOSITORIES;

    /**
     * Message indicating that some repositories are currently not in a logged
     * in state.
     */
    public static String FetchBuildDefinitionStatusRecordsJob_NOT_LOGGED_IN_TO_SOME_REPOSITORIES;

    /**
     * Message indicating that no project areas are currently connected.
     */
    public static String FetchBuildDefinitionStatusRecordsJob_NOT_CONNECTED_TO_PROJECT_AREAS;

    /**
     * Message indicating that some repositories could be contacted.
     */
    public static String FetchBuildDefinitionStatusRecordsJob_COULD_NOT_CONNECT_TO_ALL_REPOSITORIES;

    /**
     * Title of the BuildDefinitionSelectionDialogv
     */
    public static String BuildDefinitionSelectionDialog_TITLE;

    /**
     * Message that is displayed in the bottom of the dialog if there are no
     * build definitions found.
     */
    public static String BuildDefinitionSelectionDialog_NO_BUILDS_FOUND_MESSAGE;

    /**
     * Prompt displayed at the top of the dialog if single selection is
     * supported.
     */
    public static String BuildDefinitionSelectionDialog_PROMPT_SINGLE_SELECT;

    /**
     * Prompt displayed at the top of the dialog if multiple selection is
     * supported.
     */
    public static String BuildDefinitionSelectionDialog_PROMPT_MULTI_SELECT;

    /**
     * Text that is displayed in the tree area while the definitions are being
     * fetched.
     */
    public static String BuildDefinitionSelectionDialog_FETCHING_MESSAGE;
}
