/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.build.internal.ui.notification;

import java.util.Map;

/**
 * Runnable that is given the results from a {@link ContributorFetchJob}. All
 * methods are called only in the UI thread.
 */
public abstract class AbstractUserNameRetrievalRunnable implements Runnable {

    private Map<String, String> fUserNameMap;

    public final void setUserNameMap(Map<String, String> userNameMap) {
        fUserNameMap = userNameMap;
    }

    public final Map<String, String> getUserNameMap() {
        return fUserNameMap;
    }

}
